Install Duplicati on Ubuntu Server 18.04

How to install duplicati on ubuntu 18.04? Thank you

Did you try the Debian package?

First download apropiate .deb package for ubuntu
Next in a console install it with the command: dpkg -i

Welcome to the forum @VANHUSSEN

Current 2.0.5.1 Beta needs mono v5, which Ubuntu 19.10 (Eoan Ermine) has, but 18.04 doesn’t.

On Linux, macOS, and other systems that require Mono, this version requires Mono v5 or later.

Prerequisites shows how to install mono (which Duplicati requires) from Mono Project’s web site.
While this is not a new prerequisite, Duplicati 2.0.4.23 Beta release could use the old LTS mono.

The 18.04 LTS mono is also too old to support TLS beyond 1.0, which is an increasing limitation.
Deprecating TLS 1.0 & 1.1 is a 2018 article on the security issues. 2020 may push TLS 1.2 hard:

All major browsers drop TLS 1.0 and 1.1 in 2020
Mono 4.8.0 Release Notes Release date: 22 Feb 2017 describes how mono added TLS 1.2 then.
I expect 2020 Ubuntu 20.04 LTS to ship at least mono v5. I have no guess about older LTS plans.

1 Like

Generally I recommend using the Mono packages pr. these instructions:

The distro-provided packages are usually severely outdated as they strive for compatibility.

1 Like